Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
paypalnotify.php File Reference

Go to the source code of this file.

## Functions
| variableAudit ($v, $c)
| debugInfo ()

## Variables
| $PaypalEmail = $ini->variable( "Checkout", "PaypalEmail" )
| $PaypalMode = $ini->variable( "Checkout", "PaypalMode" )
| $SiteURL = $ini->variable( "Site", "SiteURL" )
| $debugger =0
if(phpversion()<='4.0.6') if(!@ $_POST['txn_type']) | else
| $postipn = 'cmd=_notify-validate'
foreach($_POST as $ipnkey=> $ipnval) | $error =0
| $bmode =1
| $socket = @fsockopen($domain,80,$errno,$errstr,30)
| $header = "POST /cgi-bin/webscr HTTP/1.0\r\n"
while(!feof($socket)) | $response = trim ($response)
| exit

## Function Documentation

## ◆ debugInfo()

debugInfo | ( |  | ) |

Definition at line 425 of file paypalnotify.php.

References $bmode, $error, $postipn, $response, and $socket.

## ◆ variableAudit()

variableAudit | ( |  | $v,
|  |  | $c
| ) |  |

Definition at line 412 of file paypalnotify.php.

## Variable Documentation

## ◆ $bmode

$bmode =1

Definition at line 130 of file paypalnotify.php.

Referenced by debugInfo().

## ◆ $debugger

$debugger =0

Definition at line 57 of file paypalnotify.php.

## ◆ $error

foreach ( $_POST as $ipnkey=> $ipnval) $error =0

Definition at line 103 of file paypalnotify.php.

Referenced by debugInfo().

## ◆ $header

$header = "POST /cgi-bin/webscr HTTP/1.0\r\n"

Definition at line 141 of file paypalnotify.php.

Referenced by eZOption\addHeader(), eZList\drawList(), eZHTTPHeader\headerOverrideArray(), eZDebug\printReport(), and eZBulkMailTemplate\store().

## ◆ $PaypalEmail

$PaypalEmail = $ini->variable( "Checkout", "PaypalEmail" )

Definition at line 37 of file paypalnotify.php.

## ◆ $PaypalMode

$PaypalMode = $ini->variable( "Checkout", "PaypalMode" )

Definition at line 38 of file paypalnotify.php.

## ◆ $postipn

$postipn = 'cmd=_notify-validate'

Definition at line 88 of file paypalnotify.php.

Referenced by debugInfo().

## ◆ $response

while (!feof( $socket)) $response = trim ($response)

Definition at line 196 of file paypalnotify.php.

Referenced by eZResponseQuestion\__construct(), ezpMvcConfiguration\createResponseWriter(), debugInfo(), eZXMLRPCResponse\decodeStream(), eZResponseQuestion\delete(), eZResponseQuestion\deleteByQuestion(), eZWebDAVContentBackend\encodeResponse(), eZResponseQuestion\get(), eZResponseQuestion\getResponsesByQuestion(), ezuspsservices\getresult(), eZWebDAVContentBackend\options(), eZXMLRPCServer\processRequest(), eZWebDAVContentBackend\propFind(), ezpMvcConfigurableDispatcher\run(), ezpMvcConfiguration\runResponseFilters(), eZXMLRPCClient\send(), ezpKernelRest\setResponse(), and eZResponseQuestion\store().

## ◆ $SiteURL

$SiteURL = $ini->variable( "Site", "SiteURL" )

Definition at line 39 of file paypalnotify.php.

## ◆ $socket

$socket = @fsockopen($domain,80,$errno,$errstr,30)

Definition at line 140 of file paypalnotify.php.

Referenced by debugInfo().

## ◆ else

if (!strcmp( $response, "VERIFIED")) elseif (!strcmp( $response, "INVALID")) else

Initial value:
{
@header("Status: 200 OK")

Definition at line 74 of file paypalnotify.php.

## ◆ exit

exit

Definition at line 506 of file paypalnotify.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.